Get a published ContactButton Agent
curl --request GET \
--url https://api.contactbutton.com/v1/public/agents/{agent}import requests
url = "https://api.contactbutton.com/v1/public/agents/{agent}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.contactbutton.com/v1/public/agents/{agent}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"welcome_message": "<string>",
"presentation": {
"welcome_message": "<string>",
"suggested_replies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"featured": true,
"operation": "message",
"kind": "<string>",
"action": {
"type": "native_chat",
"target": "<string>",
"new_tab": false
}
}
],
"footer": {
"enabled": true,
"html": "<string>",
"text": "<string>"
},
"appearance": {
"theme": "light",
"accent": "inherit",
"avatar": "initials",
"caption": "<string>",
"header_pattern": true,
"show_powered_by": true,
"source": "legacy",
"tokens": {
"primary": "<string>",
"secondary": "<string>",
"ink": "<string>",
"muted": "<string>",
"line": "<string>",
"surface": "<string>",
"panel": "<string>",
"page_start": "<string>",
"page_end": "<string>",
"assistant": "<string>"
}
},
"sources": {
"welcome_message": "agent",
"suggested_replies": "agent",
"footer": "agent",
"appearance": "legacy"
}
},
"human_handoff_available": true,
"is_online": true,
"description": "<string>",
"language": "<string>",
"requires_contact": true,
"requires_email": true,
"lead_capture": {
"version": 1,
"timing": "required_before_chat",
"fields": [
"name"
],
"contact_requirement": "either",
"state": "ready",
"input_schema": {},
"default_phone_country": "<string>",
"request_message": "<string>",
"success_with_name": "<string>",
"success_without_name": "<string>",
"requires_consent": true,
"consent_text": "<string>",
"privacy_url": "<string>",
"captured": true,
"success_message": "<string>"
},
"profile": {},
"protocol_contract": {
"version": "2026-08-05",
"protocol": "web",
"states": {},
"review": {
"contactbutton_owned": true,
"external_client_can_approve": true,
"external_client_receives_otp": false,
"material_actions_require_verification": true
}
}
},
"meta": {}
}Get a published ContactButton Agent
GET
/
public
/
agents
/
{agent}
Get a published ContactButton Agent
Path Parameters
Query Parameters
Optional published Agent Chat App UUID used to resolve assignment-level presentation overrides.
Optional active Button UUID. When app is supplied, the App must be attached to this Button.
Was this page helpful?